/*
	FreeRTOS.org V5.1.2 - Copyright (C) 2003-2009 Richard Barry.

	This file is part of the FreeRTOS.org distribution.

	FreeRTOS.org is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	FreeRTOS.org is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with FreeRTOS.org; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	A special exception to the GPL can be applied should you wish to distribute
	a combined work that includes FreeRTOS.org, without being obliged to provide
	the source code for any proprietary components.  See the licensing section
	of http://www.FreeRTOS.org for full details of how and when the exception
	can be applied.

	***************************************************************************
	See http://www.FreeRTOS.org for documentation, latest information, license
	and contact details.  Please ensure to read the configuration and relevant
	port sections of the online documentation.
	***************************************************************************
*/
#include "stm32f10x_lib.h"

#include "FreeRTOS.h"
#include "semphr.h"

/******************** (C) COPYRIGHT 2009 HiConnect  ****************************
 * Interrupt routine that simply wakes vButtonHandlerTask on each interrupt
 * generated by a push of the built in "Key"-button.
 *
 * THIS SOFTWARE HAS BEEN WRITTEN FOR DEMONSTRATION ONLY AND IS GIVEN BACK TO
 * FreeRTOS TO SUPPORT IT.
 * THERE IS NO WARRANTY OR LIABILITY APPLICABLE IF THIS SOFTWARE IS USED AND DOES
 * NOT BEHAVE AS EXPECTED.
 * G.S.
 */


/* semaphore that vButtonHandlerTask is waiting for */
extern xSemaphoreHandle xButtonSemaphore;


/*****************************************************************************/
	void	vButtonISR( void )
/*****************************************************************************/
{
static portBASE_TYPE	xHigherPriorityTaskWoken;

	EXTI_ClearITPendingBit(EXTI_Line9);

	xHigherPriorityTaskWoken = pdFALSE;
	xSemaphoreGiveFromISR( xButtonSemaphore, &xHigherPriorityTaskWoken );
}


